"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class TumourType(object):
    """
    NOTE: This has been changed completely, the previous tumour type has
    been split into TumourPresentation and PrimaryOrMetastatic
    """

    BRAIN_TUMOUR = "BRAIN_TUMOUR"
    HAEMATOLOGICAL_MALIGNANCY_SOLID_SAMPLE = "HAEMATOLOGICAL_MALIGNANCY_SOLID_SAMPLE"
    HAEMATOLOGICAL_MALIGNANCY_LIQUID_SAMPLE = "HAEMATOLOGICAL_MALIGNANCY_LIQUID_SAMPLE"
    SOLID_TUMOUR_METASTATIC = "SOLID_TUMOUR_METASTATIC"
    SOLID_TUMOUR_PRIMARY = "SOLID_TUMOUR_PRIMARY"
    SOLID_TUMOUR = "SOLID_TUMOUR"
    UNKNOWN = "UNKNOWN"

    def __hash__(self):
        return str(self).__hash__()

    @classmethod
    def _namespace_version(cls):
        return "1.3.0"
